summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Jorge Giner <jorge.giner@hotmail.com>2017-09-22 22:12:43 +0100
committer David Spencer <idlemoor@slackbuilds.org>2017-09-22 22:12:43 +0100
commit0dd8ca2ed83021be3b32d565a43dafe23427aef6 (patch)
treee066b862953c5ead32954f226c2e9f34e6c6a474 /libraries
parent0f2e6586c46f044c33a8895a50205c33a9f5a0f8 (diff)
downloadslackbuilds-0dd8ca2ed83021be3b32d565a43dafe23427aef6.tar.gz
slackbuilds-0dd8ca2ed83021be3b32d565a43dafe23427aef6.tar.xz
libraries/obnc-libstd: Added (Standard Library for OBNC).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/obnc-libstd/README6
-rw-r--r--libraries/obnc-libstd/obnc-libstd.SlackBuild92
-rw-r--r--libraries/obnc-libstd/obnc-libstd.info10
-rw-r--r--libraries/obnc-libstd/slack-desc19
4 files changed, 127 insertions, 0 deletions
diff --git a/libraries/obnc-libstd/README b/libraries/obnc-libstd/README
new file mode 100644
index 0000000000..8b0e797496
--- /dev/null
+++ b/libraries/obnc-libstd/README
@@ -0,0 +1,6 @@
+obnc-libstd (Standard Library for OBNC)
+
+This package complements the basic libraries bundled with OBNC (the
+Oberon compiler obnc) with modules for accessing command line arguments
+and evironment variables, printing to the standard error stream and
+converting numbers to strings and viceversa.
diff --git a/libraries/obnc-libstd/obnc-libstd.SlackBuild b/libraries/obnc-libstd/obnc-libstd.SlackBuild
new file mode 100644
index 0000000000..9438b9bf24
--- /dev/null
+++ b/libraries/obnc-libstd/obnc-libstd.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for obnc-libstd
+
+# Copyright 2017 Jorge Giner Cordero
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=obnc-libstd
+VERSION=${VERSION:-0.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM\_$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./build
+
+./install $PKG/usr
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/obnc/std/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share
+
+cp -a COPYING VERSION README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/obnc-libstd/obnc-libstd.info b/libraries/obnc-libstd/obnc-libstd.info
new file mode 100644
index 0000000000..6b19b99d61
--- /dev/null
+++ b/libraries/obnc-libstd/obnc-libstd.info
@@ -0,0 +1,10 @@
+PRGNAM="obnc-libstd"
+VERSION="0.2.1"
+HOMEPAGE="http://miasap.se/obnc"
+DOWNLOAD="http://miasap.se/obnc/downloads/obnc-libstd_0.2.1.tar.gz"
+MD5SUM="8a7c19d0fb15abb31882ff3ad84676cb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="obnc"
+MAINTAINER="Jorge Giner"
+EMAIL="jorge.giner@hotmail.com"
diff --git a/libraries/obnc-libstd/slack-desc b/libraries/obnc-libstd/slack-desc
new file mode 100644
index 0000000000..ab25026f15
--- /dev/null
+++ b/libraries/obnc-libstd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+obnc-libstd: obnc-libstd (Standard Library for OBNC)
+obnc-libstd:
+obnc-libstd: This package complements the basic libraries bundled with OBNC (the
+obnc-libstd: Oberon compiler obnc) with modules for accessing command line
+obnc-libstd: arguments and evironment variables, printing to the standard error
+obnc-libstd: stream and converting numbers to strings and viceversa.
+obnc-libstd:
+obnc-libstd: http://miasap.se/obnc
+obnc-libstd:
+obnc-libstd:
+obnc-libstd: